Previous Thread  Next Thread

chat icon Building Blender 2.64 with CMake on Mac

oriyo

Posted: Thu Oct 11, 2012 3:22 am
Joined: 11 Oct 2012
Posts: 11
Hi!
I am trying to build blender on a MacBook Pro with OSX 10.6.
Every time I try to build Blender using CMake it gives me the error:
-----------------------------------------------------

/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:665: error: ‘BLENDERFILE’ undeclared (first use in this function)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:665: error: (Each undeclared identifier is reported only once
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:665: error: for each function it appears in.)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c: In function ‘file_extension_type’:
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:774: error: ‘BLENDERFILE’ undeclared (first use in this function)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:777: error: ‘BLENDERFILE_BACKUP’ undeclared (first use in this function)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c: In function ‘ED_file_extension_icon’:
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:820: error: ‘BLENDERFILE’ undeclared (first use in this function)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:820: error: ‘BLENDERFILE_BACKUP’ undeclared (first use in this function)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c: In function ‘thumbnails_startjob’:
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:1303: error: ‘BLENDERFILE’ undeclared (first use in this function)
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c: In function ‘thumbnails_start’:
/Users/oriyo/blender-build/blender/source/blender/editors/space_file/filelist.c:1360: error: ‘BLENDERFILE’ undeclared (first use in this function)
make[2]: *** [source/blender/editors/space_file/CMakeFiles/bf_editor_space_file.dir/filelist.c.o] Error 1
make[1]: *** [source/blender/editors/space_file/CMakeFiles/bf_editor_space_file.dir/all] Error 2
make: *** [all] Error 2
----------------------------------------
How do I compile Blender successfully?
Reply with quote


stiv

Posted: Thu Oct 11, 2012 1:39 pm
Joined: 05 Aug 2003
Posts: 3645
When fixing compile problems, the FIRST error is the important one. I am betting that is not it.
Reply with quote


dustractor

Posted: Sat Oct 13, 2012 6:46 pm
Joined: 10 Dec 2007
Posts: 15
Just to make sure we're on the same page here are the steps I take to compile with cmake on osx,

cd Build/blender

svn update blender

svn update lib/...

mkdir 54321

cd 54321

cmake ../blender

ccmake .

make -j5

make install

open ./bin/blender.app



most of the nitty gritty is in the ccmake step where you pick build options.
I wonder what options you are picking here. We have mostly the same laptop so I should be able to help but first just wanted to get more details.
Reply with quote


oriyo

Posted: Wed Oct 17, 2012 9:06 pm
Joined: 11 Oct 2012
Posts: 11
dustractor wrote:
Just to make sure we're on the same page here are the steps I take to compile with cmake on osx,

cd Build/blender

svn update blender

svn update lib/...

mkdir 54321

cd 54321

cmake ../blender

ccmake .

make -j5

make install

open ./bin/blender.app



most of the nitty gritty is in the ccmake step where you pick build options.
I wonder what options you are picking here. We have mostly the same laptop so I should be able to help but first just wanted to get more details.


I think I got stuck in the "cmake ../blender" part. What version of XCode do you have?
Reply with quote


dustractor

Posted: Sat Oct 20, 2012 12:30 am
Joined: 10 Dec 2007
Posts: 15
xcode 4.2. 4.4 won't work.
Reply with quote


oriyo

Posted: Sat Oct 20, 2012 4:25 am
Joined: 11 Oct 2012
Posts: 11
dustractor wrote:
xcode 4.2. 4.4 won't work.

Then what version do you have?
What else do you need?

By the way, thanks for your recent help because I am just a beginner and I am new to coding.
Reply with quote


 
Jump to:  
Powered by phpBB © 2001, 2005 phpBB Group